package com.ruoyi.project.patrol.commonuse.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.commonuse.mapper.TCommonuseMovementMapper;
import com.ruoyi.project.patrol.commonuse.domain.TCommonuseMovement;
import com.ruoyi.project.patrol.commonuse.service.ITCommonuseMovementService;

/**
 * 移动平台及移动梯Service业务层处理
 * 
 * @author admin
 * @date 2023-11-08
 */
@Service
public class TCommonuseMovementServiceImpl implements ITCommonuseMovementService 
{
    @Autowired
    private TCommonuseMovementMapper tCommonuseMovementMapper;

    /**
     * 查询移动平台及移动梯
     * 
     * @param id 移动平台及移动梯主键
     * @return 移动平台及移动梯
     */
    @Override
    public TCommonuseMovement selectTCommonuseMovementById(Long id)
    {
        return tCommonuseMovementMapper.selectTCommonuseMovementById(id);
    }

    /**
     * 查询移动平台及移动梯列表
     * 
     * @param tCommonuseMovement 移动平台及移动梯
     * @return 移动平台及移动梯
     */
    @Override
    public List<TCommonuseMovement> selectTCommonuseMovementList(TCommonuseMovement tCommonuseMovement)
    {
        return tCommonuseMovementMapper.selectTCommonuseMovementList(tCommonuseMovement);
    }

    /**
     * 新增移动平台及移动梯
     * 
     * @param tCommonuseMovement 移动平台及移动梯
     * @return 结果
     */
    @Override
    public int insertTCommonuseMovement(TCommonuseMovement tCommonuseMovement)
    {
        return tCommonuseMovementMapper.insertTCommonuseMovement(tCommonuseMovement);
    }

    /**
     * 修改移动平台及移动梯
     * 
     * @param tCommonuseMovement 移动平台及移动梯
     * @return 结果
     */
    @Override
    public int updateTCommonuseMovement(TCommonuseMovement tCommonuseMovement)
    {
        return tCommonuseMovementMapper.updateTCommonuseMovement(tCommonuseMovement);
    }

    /**
     * 批量删除移动平台及移动梯
     * 
     * @param ids 需要删除的移动平台及移动梯主键
     * @return 结果
     */
    @Override
    public int deleteTCommonuseMovementByIds(Long[] ids)
    {
        return tCommonuseMovementMapper.deleteTCommonuseMovementByIds(ids);
    }

    /**
     * 删除移动平台及移动梯信息
     * 
     * @param id 移动平台及移动梯主键
     * @return 结果
     */
    @Override
    public int deleteTCommonuseMovementById(Long id)
    {
        return tCommonuseMovementMapper.deleteTCommonuseMovementById(id);
    }
}
